# Uses of Enum
org.xnio.FileAccess

Packages that use FileAccess
Package
Description
org.xnio
The main API package for XNIO.

## Uses of FileAccess in org.xnio

Fields in org.xnio with type parameters of type FileAccess
Modifier and Type
Field
Description
`static final Option<FileAccess>`
Options.`FILE_ACCESS`
The file access mode to use when opening a file.
Methods in org.xnio that return FileAccess
Modifier and Type
Method
Description
`static FileAccess`
FileAccess.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileAccess[]`
FileAccess.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.xnio with parameters of type FileAccess
Modifier and Type
Method
Description
`FileChannel`
Xnio.`openFile(File file, FileAccess access)`
Open a file on the filesystem.
`FileChannel`
Xnio.`openFile(String fileName, FileAccess access)`
Open a file on the filesystem.